/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sat Mar 30 19:47:38 GMT 2002
    copyright            : (C) 2002 by George Wright
    email                : gwright@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kapplication.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "convert.h"

static const char *description =
	I18N_NOOP("KConvert");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "kconvert", I18N_NOOP("KConvert"),
    "1.1", description, KAboutData::License_GPL,
    "(c) 2002, George Wright", 0, 0, "gwright@users.sourceforge.net");
  aboutData.addAuthor("George Wright",0, "gwright@users.sourceforge.net");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  Convert *convert = new Convert();
  a.setMainWidget(convert);
  convert->show();  

  return a.exec();
}
