/***************************************************************************
                          convert.h  -  description
                             -------------------
    begin                : Tue Mar 19 2002
    copyright            : (C) 2001 by George Wright
    email                : gwright@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONVERT_H
#define CONVERT_H

#include "convertui.h"
#include "convertmain.h"
#include "convertsys.h"
#include "constantsui.h"

#include <kapplication.h>
#include <kmainwindow.h>
#include <qstring.h>

class Convert : public KMainWindow
{
    Q_OBJECT

public:
	Convert( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	~Convert();
	void SetupActions();
	void LoadfromMenu();
	ConvertUI *convertui;
	ConvertMain *convertmain;
	ConvertSys *convertsys;
	ConstantsUI *constants;

public slots:
	void NextStep();
	void Calculate();
	void Back();
	void Back2();
};

#endif // CONVERT_H
