/***************************************************************************
                          convertmain.cpp  -  description
                             -------------------
    begin                : Tue Mar 26 2002
    copyright            : (C) 2001 by George Wright
    email                : gwright@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "convertmain.h"

#include <qcombobox.h>

ConvertMain::ConvertMain( int type, QWidget* parent,  const char* name, WFlags fl )
    : ConvertUI2( parent, name, fl )
{
	if (type == 1)
	{
		TypeFrom->insertItem("m^2");
		TypeFrom->insertItem("km^2");
		TypeFrom->insertItem("mile^2");
		TypeTo->insertItem("m^2");
		TypeTo->insertItem("km^2");
		TypeTo->insertItem("mile^2");
	}
	if (type == 2)
	{
		TypeFrom->insertItem("bit");
		TypeFrom->insertItem("kilobit");
		TypeFrom->insertItem("Megabit");
		TypeFrom->insertItem("Gigabit");
		TypeFrom->insertItem("Byte");
		TypeFrom->insertItem("kilobyte");
		TypeFrom->insertItem("Megabyte");
		TypeFrom->insertItem("Gigabyte");
		TypeTo->insertItem("bit");
		TypeTo->insertItem("kilobit");
		TypeTo->insertItem("Megabit");
		TypeTo->insertItem("Gigabit");
		TypeTo->insertItem("Byte");
		TypeTo->insertItem("kilobyte");
		TypeTo->insertItem("Megabyte");
		TypeTo->insertItem("Gigabyte");
	}
	if (type == 3)
	{
		TypeFrom->insertItem("GBP");
		TypeFrom->insertItem("USD");
		TypeFrom->insertItem("EUR");
		TypeTo->insertItem("GBP");
		TypeTo->insertItem("USD");
		TypeTo->insertItem("EUR");
	}
	if (type == 4)
	{
		TypeFrom->insertItem("joules");
		TypeFrom->insertItem("kilocalories");
		TypeTo->insertItem("joules");
		TypeTo->insertItem("kilocalories");
	}
	if (type == 5)
	{
		TypeFrom->insertItem("hertz");
		TypeFrom->insertItem("kilohertz");
		TypeFrom->insertItem("Megahertz");
		TypeFrom->insertItem("Gigahertz");
		TypeTo->insertItem("hertz");
		TypeTo->insertItem("kilohertz");
		TypeTo->insertItem("Megahertz");
		TypeTo->insertItem("Gigahertz");
	}
	if (type == 6)
	{
		TypeFrom->insertItem("millimeter");
		TypeFrom->insertItem("centimeter");
		TypeFrom->insertItem("meter");
		TypeFrom->insertItem("kilometer");
		TypeFrom->insertItem("inch");
		TypeFrom->insertItem("foot");
		TypeFrom->insertItem("yard");
		TypeFrom->insertItem("mile");
		TypeTo->insertItem("millimeter");
		TypeTo->insertItem("centimeter");
		TypeTo->insertItem("meter");
		TypeTo->insertItem("kilometer");
		TypeTo->insertItem("inch");
		TypeTo->insertItem("foot");
		TypeTo->insertItem("yard");
		TypeTo->insertItem("mile");
	}
	if (type == 7)
	{
		TypeFrom->insertItem("gram");
		TypeFrom->insertItem("kilogram");
		TypeFrom->insertItem("ounce");
		TypeFrom->insertItem("pound");
		TypeTo->insertItem("gram");
		TypeTo->insertItem("kilogram");
		TypeTo->insertItem("ounce");
		TypeTo->insertItem("pound");
	}
	if (type == 8)
	{
		TypeFrom->insertItem("milliwatts");
		TypeFrom->insertItem("watts");
		TypeFrom->insertItem("kilowatts");
		TypeFrom->insertItem("Megawatts");
		TypeFrom->insertItem("horsepower");
		TypeTo->insertItem("milliwatts");
		TypeTo->insertItem("watts");
		TypeTo->insertItem("kilowatts");
		TypeTo->insertItem("Megawatts");
		TypeTo->insertItem("horsepower");
	}
	if (type == 9)
	{
		TypeFrom->insertItem("meters/second");
		TypeFrom->insertItem("kilometers/second");
		TypeTo->insertItem("meters/second");
		TypeTo->insertItem("kilometers/second");
	}
	if (type == 10)
	{
		TypeFrom->insertItem("fahrenheit");
		TypeFrom->insertItem("celcius");
		TypeFrom->insertItem("kelvin");
		TypeTo->insertItem("fahrenheit");
		TypeTo->insertItem("celcius");
		TypeTo->insertItem("kelvin");
	}
	if (type == 11)
	{
		TypeFrom->insertItem("seconds");
		TypeFrom->insertItem("minutes");
		TypeFrom->insertItem("hours");
		TypeTo->insertItem("seconds");
		TypeTo->insertItem("minutes");
		TypeTo->insertItem("hours");
	}
	if (type == 12)
	{
		TypeFrom->insertItem("m^3");
		TypeFrom->insertItem("km^3");
		TypeFrom->insertItem("mile^3");
		TypeTo->insertItem("m^3");
		TypeTo->insertItem("km^3");
		TypeTo->insertItem("mile^3");
	}
}

ConvertMain::~ConvertMain()
{
}
